<div class="row">
    <div class="col-xs-12">
        <form (ngSubmit)="onRecipeSave()" [formGroup]="recipeForm">
            <div class="row">
                <div class="col-xs-12">
                    <button class="btn btn-success" type="submit" [disabled]="!recipeForm.valid">
                        Save {{ recipeForm.valid }}
                    </button>
                    <button class="btn btn-danger" type="button" (click)="onCancel()">
                        Cancel
                    </button>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="name">Name</label>
                        <input type="text" name="name" id="name" class="form-control" formControlName="name">
                    </div>
                    <div class="form-group">
                        <label for="imagePath">Image URL</label>
                        <input type="text" name="imagePath" id="imagePath" class="form-control" formControlName="imagePath" #imagePath>
                    </div>
                    <div class="form-group">
                        Image Preview
                         <img *ngIf="imagePath.value" [src]="imagePath.value" alt="" class="img-responsive">
                    </div>
                    <div class="form-group">
                        <label for="description">Description</label>
                        <textarea type="text" name="description" id="description" class="form-control" formControlName="description" rows="5">
                        </textarea>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12" formArrayName="ingredients">
                    <div 
                        class="row"
                    >
                        <div class="col-xs-12">
                            <h3>Ingredients</h3>
                        </div>
                    </div>
                    <div 
                        class="row"
                        *ngFor="let ingredientControl of ingredientControls.controls; let i = index"
                        [formGroup]="ingredientControl"
                    >
                        <div class="col-xs-8">
                            <input type="text" class="form-control" formControlName="name">
                        </div>
                        <div class="col-xs-2">
                            <input type="text" class="form-control" formControlName="amount">
                        </div>
                        <div class="col-xs-2">
                            <button class="btn btn-danger" (click)="onDeleteIngredient(i)">X</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <button type="button" class="btn btn-success" (click)="onNewIngredient()">New Ingredient</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>